/* 
   Copyright (C) 2001 Free Software Foundation, Inc.
   Written by Duane Gustavus (duane@denton.com)

This file is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2, or (at your option) any
later version.

In addition to the permissions in the GNU General Public License, the
Free Software Foundation gives you unlimited permission to link the
compiled version of this file with other programs, and to distribute
those programs without any restriction coming from the use of this
file.  (The General Public License restrictions do apply in other
respects; for example, they cover modification of the file, and
distribution when not linked into another program.)

This file is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; see the file COPYING.  If not, write to
the Free Software Foundation, 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */

/*
 * analog.c initializes the 68hc11 to scan/multiple mode.  The
 * read_analog function then returns values from ports PE0-PE3.
 */

#include <sys/ports.h>
#include <bot.h>

/* return analog value for port passed */
unsigned char
read_analog(unsigned char port)
{
  return (_io_ports[M6811_ADR1 + port]);
}

/* analog subsystem initialization */
void
init_analog()
{
  /* enable analog charge pump */
  _io_ports[M6811_OPTION] |= 0x80;
  /* set A/D system for continous scan, multiple channel */
  _io_ports[M6811_ADCTL] = 0x34;
}
