/* malloc-check.c -- Check Malloc Internal lists
   Copyright 2003 Free Software Foundation, Inc.
   Written by Stephane Carrez (stcarrez@nerim.fr)

This file is part of GEL.

GEL is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

GEL is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GEL; see the file COPYING.  If not, write to
the Free Software Foundation, 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */

#include "malloc.h"
#include <util.h>
#include <stddef.h>

int
malloc_check ()
{
  struct slot* p;
  struct slot* f = _malloc_first;

  for (p = _malloc_bottom; p != 0; p = p->next)
    {
      if (p->next == 0)
        {
          ;
        }
      else
        {
          if (p->next <= p)
            return 1;
        }
      if (p == f)
        {
          if (p->next_free == p->next)
            return 1;
          f = f->next_free;
        }
      else if (f != 0 && f < p)
        return 1;
    }
  return 0;
}
